# $Revision: 1.26 $, $Date: 2010/11/22 07:47:59 $
# TODO:
# - maybe add datetime.patch from synce repository
# - namespace.patch from synce trunk contains some improvements
# - build dynamic documentation                  OFF
#
Summary:	The WBXML Library
Summary(pl.UTF-8):	Biblioteka WBXML
Name:		libwbxml
Version:	0.10.8
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libwbxml/%{name}-%{version}.tar.bz2
# Source0-md5:	7b51c425fc2ff9f502cd9b1e291b1955
Patch0:		wbxml2-r59.patch
URL:		http://libwbxml.opensync.org/
BuildRequires:	cmake
BuildRequires:	expat-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.586
BuildConflicts:	wbxml2
Obsoletes:	libwbxml2
Obsoletes:	wbxml2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The WBXML Library (libwbxml) contains a library and its associated
tools to parse, encode and handle WBXML documents. The WBXML format is
a binary representation of XML, defined by the Wap Forum, and used to
reduce bandwidth in mobile communications.

%description -l pl.UTF-8
Format WBXML jest binarną reprezentacją XML, zdefiniowaną przez Wap
Forum, mającą na celu zmniejszenie ruchu w komunikacji przez
urządzenia przenośne.

%package devel
Summary:	Header files for WBXML library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki WBXML
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libwbxml2-devel
Obsoletes:	wbxml2-devel
Obsoletes:	wbxml2-static

%description devel
Header files for WBXML library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki WBXML.

%prep
%setup -q
%patch0 -p3

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_C_FLAGS_RELEASE="-DNDEBUG" \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains just license information, not LGPL text itself
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO References
%attr(755,root,root) %{_bindir}/wbxml2xml
%attr(755,root,root) %{_bindir}/xml2wbxml
%attr(755,root,root) %{_libdir}/libwbxml2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwbxml2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwbxml2.so
%{_includedir}/wbxml*.h
%{_pkgconfigdir}/libwbxml2.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libwbxml.spec,v $
Revision 1.26  2010/11/22 07:47:59  glen
- verbose makefile in 1.586 as well

Revision 1.25  2010/11/22 07:42:15  glen
- use cmake default params from rpm build macros

Revision 1.24  2010/11/21 19:32:52  qboosh
- updated to 0.10.8

Revision 1.23  2010/02/22 10:32:36  glen
- release 2

Revision 1.22  2010/01/28 09:03:02  amateja
- updated to 0.10.7

Revision 1.21  2009/01/29 00:38:01  glen
- release 1

Revision 1.20  2009/01/29 00:35:33  glen
- avoid autoreqnamedep being evil

Revision 1.19  2009/01/29 00:32:07  glen
- 2008-11-21: The OpenSync project takes over the maintenance of the libwbxml library from Aymerick Jehanne.
- renamed package from wbxml2 and updated to 0.10.1
- no -static package with cmake build

Revision 1.18  2008/10/22 19:08:33  sls
- added r59.patch, updated TODO, rel. 4

Revision 1.17  2008/10/22 18:51:42  sls
- added no_libxml2.patch, updated TODO

Revision 1.16  2008/10/22 18:11:52  sls
- more TODO

Revision 1.15  2008/10/22 18:03:13  sls
- added chagesets from wbxml repository
- added namespace.patch from synce repository
- with current patches we've got exactly wbxml2-%{version}+svn49synce.tar.gz
  from removed libwbmlx2.spec
- rel. 3.1

Revision 1.14  2008/10/21 21:56:41  sls
- added Obsoletes: libwbxml2, libwbxml2-devel

Revision 1.13  2008/10/21 21:47:40  sls
- copied TODO from libwbxml2.spec
- licence fix

Revision 1.12  2008/10/21 21:40:49  sls
- added version.patch

Revision 1.11  2008/10/21 21:20:34  sls
- more BR

Revision 1.10  2008/05/27 18:26:32  qboosh
- verboseness consistency

Revision 1.9  2008-05-26 16:20:15  shadzik
- verbose files
- ghost symlink
- add pkgconfig file to -devel
- rel 2

Revision 1.8  2007-03-31 15:23:29  wrobell
- ver. 0.9.2

Revision 1.7  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.5  2005/09/23 22:38:14  blues
- cosmetics

Revision 1.4  2005/02/25 21:09:32  qboosh
- enhanced pl desc, cosmetics

Revision 1.3  2005/02/25 10:33:48  spider
- missing br

Revision 1.2  2005/02/25 10:21:21  spider
- adaptarized

Revision 1.1  2005/02/25 10:17:45  tiwek
- initial release
